GET checks/browser/{checkId}/results/{resultId}/screenshots
Gets information about screenshots for a browser check result.
URL Parameters
| Name | Description |
|---|---|
| checkId | Check identifier. Type: numeric. |
| resultId | Check result identifier. Type: GUID. |
Remarks
The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.Request example
curl --request GET "https://api-asm1.apica.io/v3/checks/browser/12345/results/b1d01c2d-341d-4b7b-be0c-02e290483fd4/screenshots?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"id": "fad2e697-1e34-4344-8850-0251d7fc3ac5",
"index": 0,
"timestamp_utc": "2026-10-22T16:57:52",
"image_type": "IMAGE/JPEG"
},
{
"id": "467609bd-5702-483b-bbcd-5eb6d889ada8",
"index": 0,
"timestamp_utc": "2026-10-22T16:57:52",
"image_type": "IMAGE/JPEG"
},
{
"id": "3a16be9e-8b0c-49f3-9318-e9215ed75aac",
"index": 0,
"timestamp_utc": "2026-10-22T16:57:52",
"image_type": "IMAGE/JPEG"
}
]